{% extends "tugas2_update_status/layout/base.html" %}

{% block content %}
<section name="input-status" id="input-status">
    <div class="container">
        <form id="form" method="POST" action="{% url 'update-status:add_status' %}">
            {% csrf_token %}
            {{ status_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
            <br>
        </form>
    </div>
</section>
<section name="my-status" id="my-status">
    <div class="container">
        <hr/>
        <div class="flex">
            {% if status %}
                {% for data in status reversed %}
                    <div class="flex-item">
                        <div class="update-status">
                            <div class="update-status-date-added">
                                {{data.created_date}}
                            </div>
                            <div class="update-status-description">
                                {{data.description}}
                            </div>
                            <div class="update-status-delete">
                                <div class="update-status-delete-button" data-id="{{data.id}}">Delete</div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data Todo.
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock %}   
